Package fr.gouv.vitam.worker.core.plugin.elimination

# Class EliminationActionUnitPreparationHandlerBase

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.elimination.EliminationActionUnitPreparationHandlerBase

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `CollectDeletionUnitPreparationHandler`, `EliminationActionUnitPreparationHandler`

public abstract class EliminationActionUnitPreparationHandlerBase extends ActionHandler
Elimination action unit base preparation handler.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `COULD_NOT_PARSE_DATE_FROM_REQUEST`
  `protected static final String`
  `COULD_NOT_PARSE_DSL_REQUEST`
  `protected static final String`
  `DATE_REQUEST_IN_FUTURE`
  `protected static final String`
  `PERSISTENT_IDENTIFIER`
  `protected static final String`
  `REQUEST_JSON`
  `protected static final String`
  `UNITS_TO_DELETE_FILE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EliminationActionUnitPreparationHandlerBase()`
  Default constructor
  `protected`
  `EliminationActionUnitPreparationHandlerBase(EliminationAnalysisService eliminationAnalysisService, EliminationActionReportService eliminationActionReportService)`
  Test only constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ItemStatus`
  `executeUnitPreparation(WorkerParameters param, HandlerIO handler, String actionId)`
  `protected SelectMultiQuery`
  `getRequest(com.fasterxml.jackson.databind.JsonNode dslRequest)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, execute, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_REQUEST_IN_FUTURE

    protected static final String DATE_REQUEST_IN_FUTURE
    See Also:
      - Constant Field Values

  - ### COULD_NOT_PARSE_DATE_FROM_REQUEST

    protected static final String COULD_NOT_PARSE_DATE_FROM_REQUEST
    See Also:
      - Constant Field Values

  - ### COULD_NOT_PARSE_DSL_REQUEST

    protected static final String COULD_NOT_PARSE_DSL_REQUEST
    See Also:
      - Constant Field Values

  - ### REQUEST_JSON

    protected static final String REQUEST_JSON
    See Also:
      - Constant Field Values

  - ### UNITS_TO_DELETE_FILE

    protected static final String UNITS_TO_DELETE_FILE
    See Also:
      - Constant Field Values

  - ### PERSISTENT_IDENTIFIER

    protected static final String PERSISTENT_IDENTIFIER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EliminationActionUnitPreparationHandlerBase

    protected EliminationActionUnitPreparationHandlerBase()
    Default constructor

  - ### EliminationActionUnitPreparationHandlerBase

    protected EliminationActionUnitPreparationHandlerBase(EliminationAnalysisService eliminationAnalysisService, EliminationActionReportService eliminationActionReportService)
    Test only constructor

- ## Method Details

  - ### executeUnitPreparation

    protected ItemStatus executeUnitPreparation(WorkerParameters param, HandlerIO handler, String actionId) throws ProcessingException
    Throws:
      `ProcessingException`

  - ### getRequest

    protected SelectMultiQuery getRequest(com.fasterxml.jackson.databind.JsonNode dslRequest) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`